Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
firmware::FirmwareUpdateEvent Struct Reference

Event: Firmware update base event. More...

Inheritance diagram for firmware::FirmwareUpdateEvent:

## Public Attributes
string | oldVersion
| Firmware version the device is being upgraded from.
string | newVersion
| Firmware version the device is being upgraded to.
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: Firmware update base event.

The documentation for this struct was generated from the following file:

- Firmware.idl